be.cin.mycarenet.esb.medicaladvisoragreement.chap4.consult.v1

## Class ConsultChap4MedicalAdvisorAgreementResponse

- java.lang.Object
- - be.cin.mycarenet.esb.medicaladvisoragreement.chap4.consult.v1.ConsultChap4MedicalAdvisorAgreementResponse

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-06-08T05:26:42+02:00",
                 comments="JAXB RI v2.2.11")
      public class ConsultChap4MedicalAdvisorAgreementResponse
      extends Object
      implements Serializable

  Java class for ConsultChap4MedicalAdvisorAgreementResponseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ConsultChap4MedicalAdvisorAgreementResponseType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="CommonOutput" type="{urn:be:cin:mycarenet:esb:common:v2}CommonOutputType"/>
               <element name="RecordCommonOutput" type="{urn:be:cin:mycarenet:esb:common:v2}RecordCommonOutputType"/>
               <element name="ReturnInfo" type="{urn:be:cin:types:v1}FaultType" minOccurs="0"/>
               <element name="Response" type="{urn:be:cin:mycarenet:esb:medicalAdvisorAgreement:chap4:consult:v1}ResponseType" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsultChap4MedicalAdvisorAgreementResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CommonOutputType` | `getCommonOutput()` Gets the value of the commonOutput property.
    `RecordCommonOutputType` | `getRecordCommonOutput()` Gets the value of the recordCommonOutput property.
    `ResponseType` | `getResponse()` Gets the value of the response property.
    `FaultType` | `getReturnInfo()` Gets the value of the returnInfo property.
    `void` | `setCommonOutput(CommonOutputType value)` Sets the value of the commonOutput property.
    `void` | `setRecordCommonOutput(RecordCommonOutputType value)` Sets the value of the recordCommonOutput property.
    `void` | `setResponse(ResponseType value)` Sets the value of the response property.
    `void` | `setReturnInfo(FaultType value)` Sets the value of the returnInfo property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsultChap4MedicalAdvisorAgreementResponse

          public ConsultChap4MedicalAdvisorAgreementResponse()

  - ### Method Detail

    - #### getCommonOutput

          public CommonOutputType getCommonOutput()

      Gets the value of the commonOutput property.
      Returns:
        possible object is `CommonOutputType`

    - #### setCommonOutput

          public void setCommonOutput(CommonOutputType value)

      Sets the value of the commonOutput property.
      Parameters:
        `value` - allowed object is `CommonOutputType`

    - #### getRecordCommonOutput

          public RecordCommonOutputType getRecordCommonOutput()

      Gets the value of the recordCommonOutput property.
      Returns:
        possible object is `RecordCommonOutputType`

    - #### setRecordCommonOutput

          public void setRecordCommonOutput(RecordCommonOutputType value)

      Sets the value of the recordCommonOutput property.
      Parameters:
        `value` - allowed object is `RecordCommonOutputType`

    - #### getReturnInfo

          public FaultType getReturnInfo()

      Gets the value of the returnInfo property.
      Returns:
        possible object is `FaultType`

    - #### setReturnInfo

          public void setReturnInfo(FaultType value)

      Sets the value of the returnInfo property.
      Parameters:
        `value` - allowed object is `FaultType`

    - #### getResponse

          public ResponseType getResponse()

      Gets the value of the response property.
      Returns:
        possible object is `ResponseType`

    - #### setResponse

          public void setResponse(ResponseType value)

      Sets the value of the response property.
      Parameters:
        `value` - allowed object is `ResponseType`

Connector Packaging PERSPHYSICIAN 4.1.2 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.